#
# spec file for package impressive
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define dist_name Impressive
Name:           impressive
Version:        0.11.1
Release:        lp150.1.1
Summary:        A PDF and image viewer optimized for presentations
License:        GPL-2.0
Group:          Productivity/Office/Other
Url:            http://impressive.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{dist_name}/%{version}/%{dist_name}-%{version}.tar.gz
Requires:       ghostscript
Requires:       python-imaging
Requires:       python-opengl
Requires:       python-pygame
Recommends:     pdftk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A DRI accelerated pdf documents viewer with 3D
effects. Currently, it only supports keyboard
commands (not mouse) and a single 3D cube effect.

%prep
%setup -q -n %{dist_name}-%{version}

%build

%install
cd %{_builddir}/%{dist_name}-%{version}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 %{name}.py %{buildroot}%{_bindir}/%{name}

gzip -9 %{name}.1 &&
install -m 644 %{name}.1.gz %{buildroot}%{_mandir}/man1

%files
%defattr(-,root,root,-)
%attr(0755,root,root)%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Feb 16 2016 glin@suse.com
- Update to version 0.11.1
  + fix for newer PIL/Pillow versions that broke compatibility by
    removing .tostring() and .fromstring()
  + fixed crash when clicking on run: URI hyperlinks
  + PDF hyperlinks with file:// and run:// URIs now work correctly
    with quoted characters (e.g. spaces) in paths
  + added top-level synchronize() function to schedule calls in
    Impressive's main thead (useful for library mode)
  + early lookup of OpenGL vendor/renderer/version strings (to get
    more useful crash logs)
  + fixed SDL library lookup issue on newer Linux systems
  + OSD font lookup now works if the same font file exists multiple
    times in the font path
  + fixed crash when no OSD font is available
  + full port from OpenGL 1.1 to OpenGL (ES) 2.0
  + fully customizable key/mouse bindings (-e/--bind,
  - E/--controls, --control-help, --evtest)
  + MuPDF (mudraw/pdfdraw) rendering backend
  + 'transition' PageProp describes transition *to* the page, not
    after the page
  + Raspberry Pi compatibility
  + new shader-based blurring with desaturation + fallback to old
    method for old HW (autodetect or --noblur)
  + re-implemented all transitions with shaders
    (missing: PageTurn, SpinOutIn, SpiralOutIn, ZoomOutIn;
    new: WipeClouds, WipeBrightness1, WipeBrightness2)
  + compressed in-memory cache (-cz / --cache compressed)
  + removed -e/--noext and -R/--meshres due to obsolescence
  + --tracking enables time tracking right from the start
  + added -v/--verbose mode
  + MuPDF renderer backend can work via named pipes instead of
    temp files on Unix
  + alternate overview downscaling algorithm for slower systems
    (auto-detected)
  + internal default mouse cursor image
  + fixed OSD font rendering bug with Pillow
  + most platform-specific code now handled by abstraction layer;
    no direct PyGame calls in core
  + custom ctypes-based OpenGL loader instead of PyOpenGL
  + generic PDF renderer framework (necessary now that there's 3
    renderers)
  + external PDF renderers are now called with 'nice' when
    background rendering on POSIX
* Fri Oct  3 2014 tchvatal@suse.com
- Update to version 0.10.5:
  * unknown changelog
- Cleanup with spec-cleaner
- Install the binary without py suffix
* Sat Dec  1 2012 mailaender@opensuse.org
- update to version 0.10.3
* Wed Aug 12 2009 code933k@gmail.com
- Initial package.
